| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Attributes | List of all members
LSProductDetails Struct Reference

`#include <LicenseSpring/C-interface/ProductDetails.h>`

## Public Attributes
bool(* | isTrialAllowed )(struct LSProductDetails *self)
bool(* | isVMAllowed )(struct LSProductDetails *self)
unsigned long(* | trialPeriod )(struct LSProductDetails *self)
unsigned long(* | floatingLicenseTimeout )(struct LSProductDetails *self)
const char *(* | productName )(struct LSProductDetails *self)
const char *(* | productCode )(struct LSProductDetails *self)
enum LSAuthMethod(* | authorizationMethod )(struct LSProductDetails *self)
const char *(* | metadata )(struct LSProductDetails *self)
const char *(* | latestVersion )(struct LSProductDetails *self)
const LSInstallationFile *(* | installationFile )(struct LSProductDetails *self)
void * | inner

## Detailed Description

Definition at line 12 of file ProductDetails.h.

## Member Data Documentation

## ◆ isTrialAllowed

bool(* LSProductDetails::isTrialAllowed) (struct LSProductDetails *self)

Definition at line 14 of file ProductDetails.h.

## ◆ isVMAllowed

bool(* LSProductDetails::isVMAllowed) (struct LSProductDetails *self)

Definition at line 16 of file ProductDetails.h.

## ◆ trialPeriod

unsigned long(* LSProductDetails::trialPeriod) (struct LSProductDetails *self)

Definition at line 18 of file ProductDetails.h.

## ◆ floatingLicenseTimeout

unsigned long(* LSProductDetails::floatingLicenseTimeout) (struct LSProductDetails *self)

Definition at line 20 of file ProductDetails.h.

## ◆ productName

const char *(* LSProductDetails::productName) (struct LSProductDetails *self)

Definition at line 22 of file ProductDetails.h.

## ◆ productCode

const char *(* LSProductDetails::productCode) (struct LSProductDetails *self)

Definition at line 24 of file ProductDetails.h.

## ◆ authorizationMethod

enum LSAuthMethod(* LSProductDetails::authorizationMethod) (struct LSProductDetails *self)

Definition at line 24 of file ProductDetails.h.

## ◆ metadata

const char *(* LSProductDetails::metadata) (struct LSProductDetails *self)

Definition at line 28 of file ProductDetails.h.

## ◆ latestVersion

const char *(* LSProductDetails::latestVersion) (struct LSProductDetails *self)

Definition at line 30 of file ProductDetails.h.

## ◆ installationFile

const LSInstallationFile *(* LSProductDetails::installationFile) (struct LSProductDetails *self)

Definition at line 32 of file ProductDetails.h.

## ◆ inner

void* LSProductDetails::inner

Definition at line 34 of file ProductDetails.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/ProductDetails.h